LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
shlib.hxx File Reference
`#include <com/sun/star/lang/XMultiServiceFactory.hpp>`
`#include <com/sun/star/registry/XRegistryKey.hpp>`
`#include <cppuhelper/cppuhelperdllapi.h>`

Go to the source code of this file.

## Namespaces
| cppu

## Functions
CPPUHELPER_DLLPUBLIC::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > | cppu::loadSharedLibComponentFactory (::rtl::OUString const &uri,::rtl::OUString const &rPath,::rtl::OUString const &rImplName,::com::sun::star::uno::Reference< ::com::sun::star::lang::XMultiServiceFactory > const &xMgr,::com::sun::star::uno::Reference< ::com::sun::star::registry::XRegistryKey > const &xKey)
| Loads a shared library component and gets the factory out of it. More...
CPPUHELPER_DLLPUBLIC void | cppu::writeSharedLibComponentInfo (::rtl::OUString const &uri,::rtl::OUString const &rPath,::com::sun::star::uno::Reference< ::com::sun::star::lang::XMultiServiceFactory > const &xMgr,::com::sun::star::uno::Reference< ::com::sun::star::registry::XRegistryKey > const &xKey)
| Invokes component_writeInfo() function of specified component library. More...